//+------------------------------------------------------------------+
//|                                                                  |
//+------------------------------------------------------------------+
#property copyright "www,forex-tsd.com"
#property link      "www,forex-tsd.com"

#property indicator_chart_window
#property indicator_buffers 2
#property indicator_color1  DeepSkyBlue
#property indicator_color2  PaleVioletRed

//
//
//
//
//

extern int    AtrLength  = 14; 
extern double Coeficient = 4;   

//
//
//
//
//

double UpLine[];
double DnLine[]; 
double smax[];
double smin[];
double trend[];

//+------------------------------------------------------------------+
//|                                                                  |
//+------------------------------------------------------------------+
//
//
//
//
//

int init()
{
   IndicatorBuffers(5);
      SetIndexBuffer(0,UpLine);  
      SetIndexBuffer(1,DnLine);  
      SetIndexBuffer(2,smax);
      SetIndexBuffer(3,smin);
      SetIndexBuffer(4,trend);
       
      IndicatorShortName("Nrtr Atr Stop");
return(0);
}
      
//+------------------------------------------------------------------+
//|                                                                  |
//+------------------------------------------------------------------+
//
//
//
//
//

int start()
{
   int counted_bars=IndicatorCounted();
   int i,limit;

   if(counted_bars<0) return(-1);
   if(counted_bars>0) counted_bars--;
         limit = MathMin(Bars-counted_bars,Bars-1);

   //
   //
   //
   //
   //

     for (i=limit; i>=0; i--)
     { 
   
         smin[i]    = Low[i] - Coeficient * iATR(NULL,0,AtrLength,i);  
	      smax[i]    = High[i]+ Coeficient * iATR(NULL,0,AtrLength,i); 
         UpLine[i]  = EMPTY_VALUE;
         DnLine[i]  = EMPTY_VALUE;
         trend[i]   = trend[i+1]; 
   
         //
         //
         //
         //
         //
         
	      if (High[i] > smax[i+1]) trend[i] =  1;
         if (Low[i]  < smin[i+1]) trend[i] = -1;
	      if (trend[i] > 0 && smin[i] < smin[i+1]) smin[i] = smin[i+1];
	      if (trend[i] < 0 && smax[i] > smax[i+1]) smax[i] = smax[i+1];
         if (trend[i] == 1) {  UpLine[i] = smin[i]; }
         if (trend[i] ==-1) {  DnLine[i] = smax[i]; }
      }
      
return(0);
}
      
      